"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _dms2decimal = _interopRequireDefault(require("../../../helpers/dms2decimal"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = configContext => {
  const {
    TermPickerInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  return {
    localityGroupList: {
      localityGroup: {
        [config]: {
          compute: (_ref) => {
            let {
              data
            } = _ref;
            return data.set('decimalLatitude', (0, _dms2decimal.default)(data.get('vLatitude'))).set('decimalLongitude', (0, _dms2decimal.default)(data.get('vLongitude')));
          }
        },
        fieldLocCounty: {
          [config]: {
            view: {
              type: TermPickerInput,
              props: {
                source: 'county'
              }
            }
          }
        },
        fieldLocState: {
          [config]: {
            view: {
              type: TermPickerInput,
              props: {
                source: 'state'
              }
            }
          }
        },
        fieldLocCountry: {
          [config]: {
            view: {
              type: TermPickerInput,
              props: {
                source: 'country'
              }
            }
          }
        },
        decimalLatitude: {
          [config]: {
            view: {
              props: {
                readOnly: true
              }
            }
          }
        },
        decimalLongitude: {
          [config]: {
            view: {
              props: {
                readOnly: true
              }
            }
          }
        }
      }
    }
  };
};

exports.default = _default;