"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = configContext => {
  const {
    AutocompleteInput,
    CheckboxInput,
    DateInput,
    OptionPickerInput,
    TextInput,
    TermPickerInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  const {
    DATA_TYPE_BOOL,
    DATA_TYPE_DATE
  } = configContext.dataTypes;
  const {
    extensions
  } = configContext.config;
  return {
    document: _objectSpread({
      'ns2:collectionobjects_common': {
        briefDescriptions: {
          briefDescription: {
            [config]: {
              view: {
                props: {
                  multiline: false
                }
              }
            }
          }
        },
        phase: {
          [config]: {
            view: {
              type: TermPickerInput,
              props: {
                source: 'botanicalphase'
              }
            }
          }
        },
        forms: {
          form: {
            [config]: {
              view: {
                type: TermPickerInput,
                props: {
                  source: 'phaseformtype'
                }
              }
            }
          }
        },
        contentConcepts: {
          contentConcept: {
            [config]: {
              view: {
                props: {
                  source: 'concept/associated'
                }
              }
            }
          }
        },
        assocConceptGroupList: {
          assocConceptGroup: {
            assocConcept: {
              [config]: {
                view: {
                  type: TextInput
                }
              }
            }
          }
        },
        referenceGroupList: {
          referenceGroup: {
            reference: {
              [config]: {
                view: {
                  type: TextInput
                }
              }
            }
          }
        }
      },
      'ns2:collectionobjects_botgarden': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/collectionobject/local/botgarden'
          }
        },
        accessionDate: {
          [config]: {
            dataType: DATA_TYPE_DATE,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.accessionDate.name",
                "defaultMessage": "Accession date"
              }
            }),
            view: {
              type: DateInput
            }
          }
        },
        deadFlag: {
          [config]: {
            defaultValue: 'false',
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.deadFlag.name",
                "defaultMessage": "Dead flag"
              }
            }),
            view: {
              type: OptionPickerInput,
              props: {
                source: 'booleans'
              }
            }
          }
        },
        deadDate: {
          [config]: {
            dataType: DATA_TYPE_DATE,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.deadDate.name",
                "defaultMessage": "Dead date"
              }
            }),
            view: {
              type: DateInput
            }
          }
        },
        // 4.5 config had this field, but it does not appear to be used.
        // provenanceDataQuality: {
        //   [config]: {
        //     messages: defineMessages({
        //       name: {
        //         id: 'field.collectionobjects_botgarden.provenanceDataQuality.name',
        //         defaultMessage: 'Provenance data quality',
        //       },
        //     }),
        //     view: {
        //       type: TermPickerInput,
        //       props: {
        //         source: 'provenancedataquality',
        //       },
        //     },
        //   },
        // },
        provenanceType: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.provenanceType.name",
                "defaultMessage": "Provenance type"
              }
            }),
            view: {
              type: TermPickerInput,
              props: {
                source: 'provenancetype'
              }
            }
          }
        },
        rare: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.rare.name",
                "defaultMessage": "Rare"
              }
            }),
            view: {
              type: OptionPickerInput,
              props: {
                source: 'booleans'
              }
            }
          }
        },
        cultivated: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.cultivated.name",
                "defaultMessage": "Cultivated"
              }
            }),
            view: {
              type: OptionPickerInput,
              props: {
                source: 'booleans'
              }
            }
          }
        },
        cbdRestriction: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            defaultValue: 'false',
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.cbdRestriction.name",
                "defaultMessage": "CBD restriction"
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        },
        requestedBy: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.requestedBy.name",
                "defaultMessage": "Requested by"
              }
            }),
            view: {
              type: AutocompleteInput,
              props: {
                source: 'person/local,person/shared'
              }
            }
          }
        },
        source: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.source.name",
                "defaultMessage": "Source"
              }
            }),
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        },
        fieldCollectionNumberAssignor: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.fieldCollectionNumberAssignor.name",
                "defaultMessage": "Field collection number assignor"
              }
            }),
            view: {
              type: AutocompleteInput,
              props: {
                // 4.5 config had organization/collector in the autocomplete, but that org vocab
                // was never configured.
                // source: 'person/local,organization/collector',
                source: 'person/local'
              }
            }
          }
        },
        handwritten: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.handwritten.name",
                "defaultMessage": "Handwritten"
              }
            }),
            view: {
              type: OptionPickerInput,
              props: {
                source: 'handwrittenValues'
              }
            }
          }
        },
        postToPublic: {
          [config]: {
            defaultValue: 'yes',
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_botgarden.postToPublic.name",
                "defaultMessage": "Post to public"
              }
            }),
            view: {
              type: OptionPickerInput,
              props: {
                source: 'yesNoValues'
              }
            }
          }
        }
      }
    }, extensions.accessionattributes.collectionobject.fields, {}, extensions.accessionuse.collectionobject.fields, {}, extensions.annotation.collectionobject.fields, {}, extensions.naturalhistory.collectionobject.fields)
  };
};

exports.default = _default;