"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const template = configContext => {
  const {
    React
  } = configContext.lib;
  const {
    CompoundInput
  } = configContext.inputComponents;
  const {
    Col,
    Panel,
    Row
  } = configContext.layoutComponents;
  const {
    Field,
    InputTable
  } = configContext.recordComponents;
  const {
    extensions
  } = configContext.config;
  return React.createElement(Field, {
    name: "document"
  }, React.createElement(Panel, {
    name: "id",
    collapsible: true
  }, React.createElement(Row, null, React.createElement(Field, {
    name: "objectNumber"
  }), React.createElement(Field, {
    name: "accessionDate",
    subpath: "ns2:collectionobjects_botgarden"
  }), React.createElement(Field, {
    name: "deadFlag",
    subpath: "ns2:collectionobjects_botgarden"
  }), React.createElement(Field, {
    name: "deadDate",
    subpath: "ns2:collectionobjects_botgarden"
  })), React.createElement(Field, {
    name: "taxonomicIdentGroupList",
    subpath: "ns2:collectionobjects_naturalhistory_extension"
  }, React.createElement(Field, {
    name: "taxonomicIdentGroup"
  }, React.createElement(Panel, null, React.createElement(InputTable, {
    name: "taxonName"
  }, React.createElement(Field, {
    name: "taxon"
  }), React.createElement(Field, {
    name: "qualifier"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "affinityTaxon"
  }), React.createElement(Field, {
    name: "hybridFlag"
  })), React.createElement(Field, {
    name: "taxonomicIdentHybridParentGroupList"
  }, React.createElement(Field, {
    name: "taxonomicIdentHybridParentGroup"
  }, React.createElement(Field, {
    name: "taxonomicIdentHybridParent"
  }), React.createElement(Field, {
    name: "taxonomicIdentHybridParentQualifier"
  }))), React.createElement(InputTable, {
    name: "taxonReference"
  }, React.createElement(Field, {
    name: "reference"
  }), React.createElement(Field, {
    name: "refPage"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "identKind"
  }), React.createElement(Field, {
    name: "notes"
  })), React.createElement(InputTable, {
    name: "taxonIdent"
  }, React.createElement(Field, {
    name: "identBy"
  }), React.createElement(Field, {
    name: "identDateGroup"
  }), React.createElement(Field, {
    name: "institution"
  }))))), React.createElement(Row, null, React.createElement(Field, {
    name: "recordStatus"
  }), React.createElement(Field, {
    name: "provenanceType",
    subpath: "ns2:collectionobjects_botgarden"
  }), React.createElement(Field, {
    name: "rare",
    subpath: "ns2:collectionobjects_botgarden"
  }), React.createElement(Field, {
    name: "cultivated",
    subpath: "ns2:collectionobjects_botgarden"
  }), React.createElement(Field, {
    name: "cbdRestriction",
    subpath: "ns2:collectionobjects_botgarden"
  })), React.createElement(Row, null, React.createElement(Col, null, React.createElement(Field, {
    name: "requestedBy",
    subpath: "ns2:collectionobjects_botgarden"
  }), React.createElement(Field, {
    name: "briefDescriptions"
  }, React.createElement(Field, {
    name: "briefDescription"
  }))), React.createElement(Field, {
    name: "source",
    subpath: "ns2:collectionobjects_botgarden"
  })), React.createElement(Field, {
    name: "comments"
  }, React.createElement(Field, {
    name: "comment"
  })), extensions.naturalhistory.collectionobject.form.typeSpecimenGroupList), React.createElement(Panel, {
    name: "locality",
    collapsible: true,
    collapsed: true
  }, React.createElement(CompoundInput, {
    subpath: "ns2:collectionobjects_naturalhistory_extension"
  }, extensions.locality.form)), React.createElement(Panel, {
    name: "collect",
    collapsible: true,
    collapsed: true
  }, React.createElement(Row, null, React.createElement(Col, null, React.createElement(Field, {
    name: "fieldCollectionDateGroup"
  }), React.createElement(Field, {
    name: "fieldCollectors"
  }, React.createElement(Field, {
    name: "fieldCollector"
  })), React.createElement(Field, {
    name: "fieldCollectionNumber"
  }), React.createElement(Field, {
    name: "fieldCollectionNumberAssignor",
    subpath: "ns2:collectionobjects_botgarden"
  }), React.createElement(Field, {
    name: "vegetationType",
    subpath: "ns2:collectionobjects_naturalhistory_extension"
  })), React.createElement(Col, null, React.createElement(Field, {
    name: "fieldCollectionMethods"
  }, React.createElement(Field, {
    name: "fieldCollectionMethod"
  })), React.createElement(Field, {
    name: "fieldCollectionNote"
  }), React.createElement(Field, {
    name: "associatedTaxaGroupList",
    subpath: "ns2:collectionobjects_naturalhistory_extension"
  }, React.createElement(Field, {
    name: "associatedTaxaGroup"
  }, React.createElement(Field, {
    name: "associatedTaxon"
  }), React.createElement(Field, {
    name: "commonName"
  }), React.createElement(Field, {
    name: "interaction"
  })))))), React.createElement(Panel, {
    name: "desc",
    collapsible: true,
    collapsed: true
  }, React.createElement(Row, null, React.createElement(Field, {
    name: "sex"
  }), React.createElement(Col, null, React.createElement(Field, {
    name: "forms"
  }, React.createElement(Field, {
    name: "form"
  }))), React.createElement(Field, {
    name: "postToPublic",
    subpath: "ns2:collectionobjects_botgarden"
  }), React.createElement(Field, {
    name: "phase"
  })), extensions.annotation.collectionobject.form, React.createElement(Panel, {
    name: "accessionattributes"
  }, extensions.accessionattributes.collectionobject.form)), React.createElement(Panel, {
    name: "accessionuse",
    collapsible: true,
    collapsed: true
  }, extensions.accessionuse.collectionobject.form), React.createElement(Panel, {
    name: "hist",
    collapsible: true,
    collapsed: true
  }, React.createElement(Panel, {
    name: "assoc",
    collapsible: true,
    collapsed: true
  }, React.createElement(Row, null, React.createElement(Col, null, React.createElement(Field, {
    name: "assocActivityGroupList"
  }, React.createElement(Field, {
    name: "assocActivityGroup"
  }, React.createElement(Field, {
    name: "assocActivity"
  }), React.createElement(Field, {
    name: "assocActivityType"
  }), React.createElement(Field, {
    name: "assocActivityNote"
  }))), React.createElement(Field, {
    name: "assocObjectGroupList"
  }, React.createElement(Field, {
    name: "assocObjectGroup"
  }, React.createElement(Field, {
    name: "assocObject"
  }), React.createElement(Field, {
    name: "assocObjectType"
  }), React.createElement(Field, {
    name: "assocObjectNote"
  }))), React.createElement(Field, {
    name: "assocConceptGroupList"
  }, React.createElement(Field, {
    name: "assocConceptGroup"
  }, React.createElement(Field, {
    name: "assocConcept"
  }), React.createElement(Field, {
    name: "assocConceptType"
  }), React.createElement(Field, {
    name: "assocConceptNote"
  }))), React.createElement(Field, {
    name: "assocCulturalContextGroupList"
  }, React.createElement(Field, {
    name: "assocCulturalContextGroup"
  }, React.createElement(Field, {
    name: "assocCulturalContext"
  }), React.createElement(Field, {
    name: "assocCulturalContextType"
  }), React.createElement(Field, {
    name: "assocCulturalContextNote"
  }))), React.createElement(Field, {
    name: "assocOrganizationGroupList"
  }, React.createElement(Field, {
    name: "assocOrganizationGroup"
  }, React.createElement(Field, {
    name: "assocOrganization"
  }), React.createElement(Field, {
    name: "assocOrganizationType"
  }), React.createElement(Field, {
    name: "assocOrganizationNote"
  }))), React.createElement(Field, {
    name: "assocPeopleGroupList"
  }, React.createElement(Field, {
    name: "assocPeopleGroup"
  }, React.createElement(Field, {
    name: "assocPeople"
  }), React.createElement(Field, {
    name: "assocPeopleType"
  }), React.createElement(Field, {
    name: "assocPeopleNote"
  }))), React.createElement(Field, {
    name: "assocPersonGroupList"
  }, React.createElement(Field, {
    name: "assocPersonGroup"
  }, React.createElement(Field, {
    name: "assocPerson"
  }), React.createElement(Field, {
    name: "assocPersonType"
  }), React.createElement(Field, {
    name: "assocPersonNote"
  }))), React.createElement(Field, {
    name: "assocPlaceGroupList"
  }, React.createElement(Field, {
    name: "assocPlaceGroup"
  }, React.createElement(Field, {
    name: "assocPlace"
  }), React.createElement(Field, {
    name: "assocPlaceType"
  }), React.createElement(Field, {
    name: "assocPlaceNote"
  })))), React.createElement(Col, null, React.createElement(InputTable, {
    name: "assocEvent"
  }, React.createElement(Field, {
    name: "assocEventName"
  }), React.createElement(Field, {
    name: "assocEventNameType"
  })), React.createElement(Field, {
    name: "assocEventOrganizations"
  }, React.createElement(Field, {
    name: "assocEventOrganization"
  })), React.createElement(Field, {
    name: "assocEventPeoples"
  }, React.createElement(Field, {
    name: "assocEventPeople"
  })), React.createElement(Field, {
    name: "assocEventPersons"
  }, React.createElement(Field, {
    name: "assocEventPerson"
  })), React.createElement(Field, {
    name: "assocEventPlaces"
  }, React.createElement(Field, {
    name: "assocEventPlace"
  })), React.createElement(Field, {
    name: "assocEventNote"
  }), React.createElement(Field, {
    name: "assocDateGroupList"
  }, React.createElement(Field, {
    name: "assocDateGroup"
  }, React.createElement(Field, {
    name: "assocStructuredDateGroup"
  }), React.createElement(Field, {
    name: "assocDateType"
  }), React.createElement(Field, {
    name: "assocDateNote"
  })))))), React.createElement(Field, {
    name: "objectHistoryNote"
  }), React.createElement(Field, {
    name: "usageGroupList"
  }, React.createElement(Field, {
    name: "usageGroup"
  }, React.createElement(Field, {
    name: "usage"
  }), React.createElement(Field, {
    name: "usageNote"
  }))), React.createElement(Row, null, React.createElement(Col, null, React.createElement(Field, {
    name: "owners"
  }, React.createElement(Field, {
    name: "owner"
  })), React.createElement(Field, {
    name: "ownershipDateGroupList"
  }, React.createElement(Field, {
    name: "ownershipDateGroup"
  }))), React.createElement(Col, null, React.createElement(Row, null, React.createElement(Field, {
    name: "ownershipAccess"
  }), React.createElement(Field, {
    name: "ownershipCategory"
  })), React.createElement(Field, {
    name: "ownershipPlace"
  }))), React.createElement(InputTable, {
    name: "ownershipExchange"
  }, React.createElement(Field, {
    name: "ownershipExchangeMethod"
  }), React.createElement(Field, {
    name: "ownershipExchangeNote"
  }), React.createElement(Field, {
    name: "ownershipExchangePriceCurrency"
  }), React.createElement(Field, {
    name: "ownershipExchangePriceValue"
  }))), React.createElement(Panel, {
    name: "reference",
    collapsible: true,
    collapsed: true
  }, React.createElement(Field, {
    name: "referenceGroupList"
  }, React.createElement(Field, {
    name: "referenceGroup"
  }, React.createElement(Field, {
    name: "reference"
  }), React.createElement(Field, {
    name: "referenceNote"
  })))), React.createElement(Panel, {
    name: "hierarchy",
    collapsible: true,
    collapsed: true
  }, React.createElement(Field, {
    name: "relation-list-item",
    subpath: "rel:relations-common-list"
  })));
};

var _default = configContext => ({
  template: template(configContext)
});

exports.default = _default;