"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = configContext => {
  const {
    CheckboxInput,
    CompoundInput,
    OptionPickerInput,
    TextInput,
    AutocompleteInput
  } = configContext.inputComponents;
  const {
    mergeStrategy,
    configKey: config
  } = configContext.configHelpers;
  const {
    DATA_TYPE_BOOL
  } = configContext.dataTypes;
  const {
    extensions
  } = configContext.config;
  return {
    document: _objectSpread({
      'ns2:loansout_common': {
        loanOutNumber: {
          [config]: {
            required: false,
            view: {
              props: {
                source: 'voucher'
              }
            }
          }
        },
        borrower: {
          [config]: {
            view: {
              props: {
                source: 'organization/local,organization/shared'
              }
            }
          }
        },
        loanPurpose: {
          [config]: {
            view: {
              type: TextInput,
              props: mergeStrategy.override({
                multiline: true
              })
            }
          }
        }
      },
      'ns2:loansout_botgarden': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/loanout/local/botgarden'
          }
        },
        collectorList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          collector: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.loansout_botgarden.collector.name",
                  "defaultMessage": "Collector"
                }
              }),
              repeating: true,
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'person/local'
                }
              }
            }
          }
        },
        hortWild: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.hortWild.name",
                "defaultMessage": "Horticultural/wild"
              }
            }),
            view: {
              type: OptionPickerInput,
              props: {
                source: 'hortWildValues'
              }
            }
          }
        },
        gardenLocation: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.gardenLocation.name",
                "defaultMessage": "Garden location"
              }
            }),
            view: {
              type: AutocompleteInput,
              props: {
                source: 'location/local'
              }
            }
          }
        },
        fieldCollectionNote: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.fieldCollectionNote.name",
                "defaultMessage": "Collection note"
              }
            }),
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        },
        annotation: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.annotation.name",
                "defaultMessage": "Annotation"
              }
            }),
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        },
        sheetAccessionNumber: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.sheetAccessionNumber.name",
                "defaultMessage": "Sheet accession number"
              }
            }),
            view: {
              type: TextInput
            }
          }
        },
        reviewComplete: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.reviewComplete.name",
                "defaultMessage": "Review complete"
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        },
        labelRequested: {
          [config]: {
            defaultValue: 'No',
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.labelRequested.name",
                "defaultMessage": "Label requested"
              }
            }),
            view: {
              type: OptionPickerInput,
              props: {
                source: 'labelRequestedValues'
              }
            }
          }
        },
        sterile: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.sterile.name",
                "defaultMessage": "Sterile"
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        },
        fertile: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.fertile.name",
                "defaultMessage": "Fertile"
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        },
        flowering: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.flowering.name",
                "defaultMessage": "Flowering"
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        },
        fruiting: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.fruiting.name",
                "defaultMessage": "Fruiting"
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        },
        inSpore: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_botgarden.inSpore.name",
                "defaultMessage": "In spore"
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        }
      }
    }, extensions.naturalhistory.loanout.fields)
  };
};

exports.default = _default;